<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $contents
 */

use app\models\Post;
use app\tables\columns\PostDeleteActionColumn;
use app\tables\columns\PostEditActionColumn;
use app\tables\columns\PostViewActionColumn;
use Itguild\Tables\ListJsonTable;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\IGTabel\ListJsonTableEloquentCollection;

$dataProvider = new ListJsonTableEloquentCollection($contents, [
    'model' => Post::class,
    'perPage' => 5,
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/post",
]);

$table = new ListJsonTable($dataProvider->getJson());
$table->beforePrint(function (){
    return PrimaryBtn::create("Создать", "/admin/post/create")->fetch();
    //return (new PrimaryBtn("Создать", "/admin/user/create"))->fetch();
});
$table->addAction(PostViewActionColumn::class);
$table->addAction(PostEditActionColumn::class);
$table->addAction(PostDeleteActionColumn::class);
$table->create();
$table->render();