<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $content
 */
use Itguild\Tables\ViewJsonTable;
use kernel\IGTabel\btn\DangerBtn;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\IGTabel\btn\SuccessBtn;
use kernel\IGTabel\ViewJsonTableEloquentModel;

$dataProvider = new ViewJsonTableEloquentModel($content, [
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/user",
]);
$table = new ViewJsonTable($dataProvider->getJson());
$table->beforeTable(function () use ($content) {
    $btn = PrimaryBtn::create("Список", "/admin/post")->fetch();
    $btn .= SuccessBtn::create("Редактировать", "/admin/post/update/" . $content->id)->fetch();
    $btn .= DangerBtn::create("Удалить", "/admin/post/delete/" . $content->id)->fetch();
    return $btn;
});
$table->create();
$table->render();